
# JACK MIDI SUPPORT DETECTION
# requires pkg-config
system("pkg-config --atleast-version=0.102.0 jack") {
  HIJACK_DEFINES += JACK_MIDI_SUPPORT
  system("pkg-config --max-version=0.102.26 jack") {
    HIJACK_DEFINES += JACK_MIDI_0_102_0
  } else {
    system("pkg-config --max-version=0.104.0 jack") {
      HIJACK_DEFINES += JACK_MIDI_0_102_27
    } else {
	system("pkg-config --atleast-version=0.105.0 jack") {
	HIJACK_DEFINES += JACK_MIDI_0_105_0
      } else {
	error("Qmake/pkg-config is confused about the jack version")
      }
    }
  }
} else {
  message("No MIDI support for JACK (requires 0.102.0 or greater)")
}

DEFINES += $$HIJACK_DEFINES
